SDL_powf(3)

NAME
SDL_powf - Raise x to the power y

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_powf(float x, float y);

DESCRIPTION
Domain: -INF<=x<=INF , -INF<=y<=INF Range: -INF<=z<=INF If y is the base of the natural logarithm (e), consider using SDL_exp
 instead. This function operates on single-precision floating point values, use SDL_powf
 for double-precision floats. This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   the base

y   the exponent

RETURN VALUE
Returns x raised to the power y

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_pow(3), SDL_expf(3), SDL_logf(3)